# Rippl! - A Social Media App

Rippl! is a social media app that allows users to share their photos and videos
with other users. Users can also follow other users and like and comment on
their posts.

The app is developed using Flutter and GetX state management. The app is
currently in development and is not yet ready for production.

Right now, the app is only available for Android devices.

We are open to contributions. If you would like to contribute, please read the
[contribution guidelines](CONTRIBUTING.md).

## Demo

Created with [previewed.app](https://previewed.app).

### Welcome

![Welcome Screen](screenshots/image1.png)

### Login

![Login Screen](screenshots/image2.png)

### About

![About Screen](screenshots/image3.png)

### Home

![Home Screen](screenshots/image4.png)

### Profile

![Profile Screen](screenshots/image5.png)

## Download

You can download the app from the [releases page][releases].

## Getting Started

For help getting started with Flutter, view online
[documentation](https://flutter.dev/).

## Contributing

Please read [CONTRIBUTING.md](CONTRIBUTING.md) for details on our code of
conduct, and the process for submitting pull requests to us.

## Authors

* **[Nikhil Rajput][portfolio]** - *Owner & Lead Developer*

## Features

* [x] User Authentication
* [x] Post Feed
* [x] Post Creation
* [x] Post Editing
* [x] Post Deletion
* [x] Post Liking
* [x] Post Commenting
* [ ] Post Sharing
* [ ] Post Searching
* [ ] Post Filtering
* [ ] Post Sorting
* [ ] Post Reporting
* [ ] Post Blocking
* [ ] Post Muting
* [x] Profile Creation
* [x] Profile Editing
* [ ] Profile Deactivation
* [x] User Following
* [x] User Unfollowing
* [ ] User Blocking
* [ ] User Muting
* [ ] User Searching
* [ ] User Filtering
* [ ] Trending Posts
* [ ] Hash Tagging
* [ ] Post Tagging
* [ ] User Tagging
* [x] Recommendations
* [ ] Search Suggestions
* [x] Settings
* [ ] Support
* [x] Dynamic Theme

## License

This project is licensed under the GPL-3.0 License - see the
[LICENSE.md](LICENSE.md) file for details

## Connect With Me

[<img align="left" alt="nixrajput | Website" width="24px" src="https://raw.githubusercontent.com/nixrajput/nixlab-files/master/images/icons/globe-icon.svg" />][website]

[<img align="left" alt="nixrajput | GitHub" width="24px" src="https://raw.githubusercontent.com/nixrajput/nixlab-files/master/images/icons/github-brands.svg" />][github]

[<img align="left" alt="nixrajput | Instagram" width="24px" src="https://raw.githubusercontent.com/nixrajput/nixlab-files/master/images/icons/instagram-brands.svg" />][instagram]

[<img align="left" alt="nixrajput | Facebook" width="24px" src="https://raw.githubusercontent.com/nixrajput/nixlab-files/master/images/icons/facebook-brands.svg" />][facebook]

[<img align="left" alt="nixrajput | Twitter" width="24px" src="https://raw.githubusercontent.com/nixrajput/nixlab-files/master/images/icons/twitter-brands.svg" />][twitter]

[<img align="left" alt="nixrajput | LinkedIn" width="24px" src="https://raw.githubusercontent.com/nixrajput/nixlab-files/master/images/icons/linkedin-in-brands.svg" />][linkedin]

[github]: https://github.com/nixrajput
[website]: https://nixlab.co.in
[facebook]: https://facebook.com/nixrajput07
[twitter]: https://twitter.com/nixrajput07
[instagram]: https://instagram.com/nixrajput
[linkedin]: https://linkedin.com/in/nixrajput
[portfolio]: https://nixrajput.nixlab.co.in
[releases]: https://github.com/nixrajput/social-media-app-flutter/releases
